#include <iostream>
using namespace std;
int main()
{
int n,m;
int s=0;
int br=0;
int niz[50000];
int niz2[50000];
int niz3[50000];
cin>>n>>m;
for (int i=0;i<n;i++)
	cin>>niz[i];
for (int j=0;j<m;j++)
	cin>>niz2[j]>>niz3[j];
for (int k=1;k<n+1;k++)
{
	s+=br;
	br=0;
	for (int l=0;l<m;l++)
	{
		if (niz2[l]==k)
			br++;
		if (niz3[l]==k)
			br++;
	}
}
s+=br;
cout<<s;
return 0;
}